function [b,a] = dd2fd(A,B,C,d);
% Fonksiyon: [b,a] = dd2fd(A,B,C,d).
% Ama: Durum deikenleri gsterilimiyle gsterilen
% bir sistemin fark denklemi gsterilimini bulmak.
% Giri: A, B, C, d: durum deikenleri gsterilimi matrisleri.
% k: b, a: fark denklemi gsterilimi katsaylar.
b = poly(A); N = length(b)-1;
h = zeros(1,N+1); h(1) = d; tmp = B;
for i = 1:N, h(i+1) = C*tmp; tmp = A*tmp; end
a=b*toeplitz([h(1);zeros(N,1)],h);