function [K] = direkt_kafes(a)
% FIR Direkt formdan FIR kafes szge gsterilimine gei
% aa-adm zyinelemesi
%  K =Kafes yansma katsaylar
%  a = FIR direkt form katsaylar
M = length(a)-1; K = zeros(1,M); a0 = a(1);
if a0 == 0
    error('a(1) sfra eit')
end
K(M) = a(M+1); A = a;
for m=M:-1:2
    J = fliplr(A);
    A = (A-K(m)*J)/(1-K(m)^2);
    A = A(1:m);
    K(m-1) = A(m);
end