function [A,B,C,d] = fd2dd(b,a);
% Fonksiyon: [A,B,C,d] = fd2dd(b,a).
% Ama: Fark denklemi gsterilimiyle gsterilen bir
% sistemin durum deikenleri gsterilimini bulmak.
% Giri: b, a: fark denklemi gsterilimi katsaylar.
% k: A, B, C, d: durum deikenleri gsterilimi matrisleri.
a=a./b(1);%   fark denklemi katsaylar b(0)=1
b=b./b(1);%   olacak ekilde normalize ediliyor.
p = length(a)-1; q = length(b)-1;
N = max(p,q);
if (N > p),a =[a,zeros(1,N-p)]; end
if (N > q), b = [b,zeros(1,N-q)]; end
A =[[zeros(N-1,1), eye(N-1)]; -b(N+1:-1:2)];
B = [zeros(N-1,1);1];
C= a(N+1:-1:2) - a(1)*b(N+1:-1:2);
d = a(1);