function [b,a] = iirkafes_direkt(K,c)
% IIR kutup-sfr direkt formdan  kafes szge gsterilimi
%  K =Kafes yansma katsaylar
%  a = FIR direkt form katsaylar
%  c = gecikme hatt katsaylar
%  b = pay polinomu katsaylar
%  a = payda polinomu katsaylar
N = length(K); M = length(c);
c = [c, zeros(1,N-M+1)];
J = 1; a = 1; A = zeros(N,N);
for m=1:1:N
     a = [a,0]+conv([0,K(m)],J);
     A(m,1:m) = -a(2:m+1);
     J = fliplr(a);
end
b(N+1) = c(N+1);
for m = N:-1:1
     A(m,1:m) = A(m,1:m)*c(m+1);
     b(m) = c(m) - sum(diag(A(m:N,1:N-m+1)));
end